%define	name		radiusclient
%define	libname		libradius
%define	version		0.3.2
%define	release		2mdk
%define	major		0
%define finalname	%{libname}%{major}

Summary:		Radiusclient library and tools
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://www.mcs-cityline.net/~lf/radius/
License:		BSD
Source0:		%{name}-%{version}.tar.bz2
Patch0:			%{name}-am_ac.patch.bz2
Group:			System/Libraries
Obsoletes:		%{finalname}  = %{version}
Obsoletes:		%{libname}
Provides:		%{finalname} = %{version}
Provides:		%{libname}
BuildRequires:		libtool
BuildRequires:		automake
BuildRequires:		autoconf
BuildRoot:		%{_tmppath}/%{name}-%{version}-root

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n		%{name}-utils
Summary:		Radiusclient library
Group:          	System/Servers
Obsoletes:		%{name}-utils  = %{version}
Obsoletes:		%{name}-utils
Provides:		%{name}-utils = %{version}
Provides:		%{name}-utils
Requires:		%{finalname} = %{version}-%{release}

%description -n		%{name}-utils
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%package -n		%{finalname}
Summary:		Radiusclient library
Group:          	System/Libraries
Obsoletes:		%{finalname}  = %{version}
Obsoletes:		%{libname}
Provides:		%{finalname} = %{version}
Provides:		%{libname}

%description -n		%{finalname}
Libraries required for Radiusclient

%package -n		%{finalname}-devel
Summary:		Header files and development documentation for radiusclient
Group:			Development/C
Obsoletes:		%{finalname}-devel = %{version}
Obsoletes:		%{libname}-devel
Provides:		%{finalname}-devel = %{version}
Provides:		%{libname}-devel
Requires:		%{finalname} = %{version}-%{release}

%description -n		%{finalname}-devel
Header files and development documentation for radiusclient.

%package -n		%{finalname}-static-devel
Summary:		Radiusclient static library
Group:			Development/C
Requires:		%{finalname}-devel = %{version}
Obsoletes:		%{finalname}-static-devel = %{version}
Obsoletes:		%{libname}-static-devel
Provides:		%{finalname}-static-devel = %{version}
Provides:		%{libname}-static-devel
Requires:		%{finalname}-devel = %{version}-%{release}

%description -n		%{finalname}-static-devel
Radiusclient static library.

%prep
%setup -q
%patch0 -p1

%build
#rm -rf missing
libtoolize --copy --force; aclocal; autoconf; automake

%serverbuild

%configure \
	--enable-shadow \
	--enable-scp

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

%post -n %{finalname} -p /sbin/ldconfig
%postun -n %{finalname} -p /sbin/ldconfig

%post -n %{finalname}-devel -p /sbin/ldconfig
%postun -n %{finalname}-devel -p /sbin/ldconfig

%post -n %{finalname}-static-devel -p /sbin/ldconfig
%postun -n %{finalname}-static-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{name}-utils
%defattr(644,root,root,755)
%doc BUGS CHANGES README* doc/*.html
%dir %{_sysconfdir}/radiusclient
%attr(644,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/radiusclient/*
%attr(755,root,root) %{_sbindir}/*

%files -n %{finalname}
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{finalname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files -n %{finalname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-2mdk
- build release

* Wed Aug 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contrib, ripped from PLD, adapted for ML
